package com.ruoyi.mall.mapper;


import com.ruoyi.mall.domain.query.GoodsStatisticsQuery;
import com.ruoyi.mall.domain.query.OrderStatisticsQuery;
import com.ruoyi.mall.domain.vo.OrderStatisticsVO;
import com.ruoyi.mall.domain.vo.ProductTopVO;

import java.util.List;

public interface IndexStatisticsMapper {

    List<ProductTopVO> goodsSkuStatistics(GoodsStatisticsQuery goodsStatisticsQuery);

    List<ProductTopVO> goodsStatistics(GoodsStatisticsQuery goodsStatisticsQuery);
    List<OrderStatisticsVO> orderStatistics(OrderStatisticsQuery param);

}
